package com.frist008.nixlibrary;

import android.database.Cursor;
import android.net.Uri;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentActivity;

import com.frist008.nixlibrary.database.Sort;

import se.emilsjolander.stickylistheaders.StickyListHeadersListView;

@SuppressWarnings("unused")
public class NixCursorStickyListHeadersLoader extends NixCursorLoader<StickyListHeadersListView> {

	protected NixCursorStickyListHeadersLoader(@Nullable Fragment fragment,
	                                           @NonNull FragmentActivity activity,
	                                           @NonNull StickyListHeadersListView listView,
	                                           int loaderId,
	                                           @Nullable
	                                           OnChangeCursorBeforeListener listenerBefore,
	                                           @Nullable OnChangeCursorAfterListener listenerAfter,
	                                           @Nullable OnChangeWhereListener selectListener,
	                                           @NonNull Uri uri,
	                                           @Nullable String[] projection,
	                                           @Nullable Sort sortOrder,
	                                           @Nullable String selection,
	                                           @Nullable String... args) {
		super(fragment,
		      activity,
		      listView,
		      loaderId,
		      listenerBefore,
		      listenerAfter,
		      selectListener,
		      uri,
		      projection,
		      sortOrder,
		      selection,
		      args);
	}

	/**
	 * @see android.support.v4.widget.CursorAdapter#changeCursor(Cursor)
	 */
	@Override
	protected void changeCursor(@NonNull StickyListHeadersListView listView,
	                            @Nullable Cursor cursor) {
		LoaderUtils.changeCursorStickyListHeaders(listView, cursor);
		super.changeCursor(listView, cursor);
	}
}
